{: test that string compare causes a compilation error
   if the rhs is not a string constant}

program e1082( output );

type
   str = packed array[1..10] of char;

var
   s : str;
   b : boolean;
begin { e1082 }

   b := s = 1234;        {!!! not a string constant}
end. { e1082 }

